<router-outlet></router-outlet>
<link rel="import" href="../../styles.css">
<!-- vista para crear empleado -->
<div class="content">
    <div>
        <h1>Crear Empleado</h1>
        <div class="form-group">
          <label for="nombre">Nombre</label>
          <input [(ngModel)]="empleados.nombre" type="text" class="form-control" required id="nombre" name="nombre">
        </div>
        <div class="form-group">
            <label for="documento">Documento</label>
            <input [(ngModel)]="empleados.documento" type="number" class="form-control" required id="documento" name="documento">
        </div>
        <div class="form-group">
            <label for="telefono">Telefono</label>
            <input [(ngModel)]="empleados.telefono" type="number" class="form-control" required id="telefono" name="telefono">
        </div>
        <div class="form-group">
            <label for="direccion">Dirección</label>
            <input [(ngModel)]="empleados.direccion" type="text" class="form-control" required id="direccion" name="direccion">
        </div>
        <div class="form-group">
            <label for="cargo">Cargo</label>
            <select [(ngModel)]="empleados.cargo" class="form-control" required id="cargo" name="cargo">
                <option value="0" selected disabled>Seleccione...</option> 
                <option *ngFor="let cargo of cargos" [value]="cargo.cargo" >{{cargo.cargo.toUpperCase()}}</option>
            </select>
        </div>
        <button (click)="crearEmpleado()" class="btn btn-primary">Guardar</button>
    </div>
</div>